:root {
    --color-h2: #ffffff;
    --color-btn: #2086EB;
    --color-text: #ffffff;
    --bg: #000000;
    --card-color: #1a1f2e;
    --font-size: 0.8vw;
    --font-size-projects: 1.2vw;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    color: var(--color-text);
    box-sizing: border-box;
    overflow-x: hidden;
    background-color: var(--bg);
}

body::-webkit-scrollbar {
    width: 10px;
}

body::-webkit-scrollbar-track {
    background: var(--bg);
}

body::-webkit-scrollbar-thumb {
    background-color: var(--color-btn);
    border-radius: 10px;
}

header {
    background-color: var(--bg);
    padding: 1rem;
    position: fixed;
    top: 0;
    display: flex;
    justify-content: space-between;
    text-align: center;
    align-items: center;
    width: 100vw;
    z-index: 1000;

    .logo span {
        color: var(--color-text);
        font-weight: bold;
    }
}

.navbar-mobile {
    display: none;
}

.navbar {
    display: flex;
    justify-content: center;
    gap: 2vw;
    margin: 0 1vw;
}

.navbar a {
    color: var(--color-text);
    text-decoration: none;
    font-size: 1rem;
    transition: ease-in-out 0.3s;
}

.navbar .active {
    color: var(--color-btn);
}

.navbar .active:hover {
    text-decoration: none;
}

.navbar a:hover {
    color: var(--color-btn);
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-thickness: 2px;
}

.title {
    width: 100%;
    display: flex;
    justify-content: center;
    font-size: 1.5vw;
    margin-top: 70px;
}


span {
    color: var(--color-btn);
}


#aplicacoes {
    display: grid;
    grid-template-columns: repeat(3, minmax(20vw, auto));
    gap: 2vw;
    justify-content: center;
    width: 90%;
    margin: 5vw auto;
    height: auto;
}

.card_project {
    display: flex;
    background-color: var(--card-color);
    justify-content: space-between;
    align-items: center;
    text-align: center;
    width: 25vw;
    padding: 2vw 0;
    border-radius: 0.5vw;
    flex-direction: column;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.card_project:hover {
    box-shadow: 1px 7px 10px rgba(0, 157, 230, 0.5);
    /* transform: translateX(0) scale(1.02); */

    /* .project-btn {
        width: 75%;
    } */
}

.projeto-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: space-between;
    gap: 2vw;
    width: 80%;
    font-size: var(--font-size-projects);
}


.projeto-text p {
    line-height: 2vw;
    text-align: center;
    width: 90%;
    font-size: 1vw;
}

.btn-container {
    display: flex;
    justify-content: center;
    width: 100%;
}

.project-btn {
    background-color: var(--color-btn);
    width: 70%;
    font-size: 1vw;
    text-decoration: none;
    color: var(--color-text);
    padding: 0.5vw;
    border: none;
    border-radius: 0.3vw;
    padding: 0.5vw;
    font-weight: bold;
    transition: ease-in-out 0.2s;
}

.projeto-img {
    width: 20vw;
    text-align: center;
}

.card_project img {
    width: 20vw;
}



/* ==================== VERSAO MOBILE ==================== */

@media (max-width: 768px) {

    :root {
        --font-size: 3.5vw;
        --font-size-projects: 4vw;
    }

    body {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 100vh;
    }

    header {
        display: none;
    }

    #open_mobile {
        margin: 1vw;
        font-size: 8vw;
    }

    .navbar {
        display: none;
    }

    .navbar-mobile {
        display: flex;
        position: fixed;
        top: 0;
        background-color: var(--bg);
        width: 100%;

        .material-symbols-outlined {
            color: var(--color-text);
        }

    }

    .mobile-menu {
        display: flex;
        flex-direction: column;
        text-align: center;
        justify-content: center;
        gap: 10vw;
        background-color: var(--bg);
        opacity: 0.98;
        position: fixed;
        width: 100%;
        height: 100vh;
        z-index: 200;

        span {
            position: fixed;
            top: 3vw;
            right: 3vw;
            font-size: 10vw;
        }


        a {
            text-decoration: none;
            color: var(--color-text);
            font-weight: bold;
            font-size: 5vw;
        }

    }


    .title {
        font-size: 5vw;
    }


    #aplicacoes {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 95%;
        gap: 5vw;
        padding-bottom: 5vh;

        .card_project {
            width: 80vw;
            border-radius: 10px;
            padding: 5vw;
        }
    }

    #aplicacoes img {
        width: 70vw;
    }

    .projeto-img {
        width: 100%;
        height: 100%;
    }

    .projeto-text {
        width: 100%;
    }

    .projeto-text p {
        width: 100%;
        font-size: 1.4rem;
        line-height: 2rem;
        text-align: center;
    }

    .btn-container {
        width: 100%;
        margin: 2rem 0;
        justify-content: center;
    }

    .project-btn {
        font-size: 1rem;
        padding: 0.8rem 1.2rem;
        border-radius: 2vw;
        width: 100%;
    }

}